<div class="p-register">
    <div class="p-register__block">
        <div class="p-register__form">
            <h1>Template Driven Register Form</h1>

            <form #registerForm="ngForm" (ngSubmit)="onRegister()">
            <div class="form-group">
                <label for="username">Username</label>
                <input
                    (input)="onInput()"
                    id="username"
                    name="username"
                    type="text"
                    [(ngModel)]="username"
                    required
                />
                <span class="error-message" *ngIf="userNameError">The username field is required.</span>
            </div>
            <div class="form-group">
                <label for="email">Email</label>
                <input
                    (input)="onInput()"
                    id="email"
                    name="email"
                    type="email"
                    [(ngModel)]="email"
                    required
                />
                <span class="error-message" *ngIf="emailError">The email field is required.</span>
            </div>
            <div class="form-group">
                <label for="password">Password</label>
                <input
                    (input)="onInput()"
                    id="password"
                    name="password"
                    type="password"
                    [(ngModel)]="password"
                    required
                />
                <span class="error-message" *ngIf="passwordError">The password field is required.</span>
            </div>
            <div class="form-group">
                <label for="confirmPassword">Confirm Password</label>
                <input
                    (input)="onInput()"
                    id="confirmPassword"
                    name="confirmPassword"
                    type="password"
                    [(ngModel)]="confirmPassword"
                    required
                />
                <span class="error-message" *ngIf="confirmPasswordError">{{ confirmPasswordError }}</span>
            </div>
            <div class="form-actions">
                <button class="submit-button" type="submit">Register</button>
            </div>

                <a class="login-link" routerLink="/login">Already have an account? Log in!</a>
            </form>
        </div>
    </div>
</div>
